package org.jeecg.modules.bytedance.advertise.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.bytedance.advertise.entity.ByteDanceCreative;
import org.jeecg.modules.bytedance.common.entity.CtopOauthToken;

import java.util.List;
import java.util.Map;

/**
 * @Description: 今日头条创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceCreativeService extends IService<ByteDanceCreative> {


    Map<String, Object> getAdvertiserCreative(CtopOauthToken token, String ids, String date);

    void replaceBatch(List<ByteDanceCreative> creatives);

    Map<String, Object> getCreativeDetail(CtopOauthToken token, Long planId);

    Map<String,Object> updateCreative(JSONObject data);

    Map<String,Object> getCreativeRejectReason(Long accountId, Long creativeId);

    Map<String, Object> batchCreate(JSONObject data);
}
